Subject: ssh-agent, ntsec, and tmp permissions
From: "Joseph M. Reagle Jr." <[email-masked]>
To: [email-masked]
Cc: "Sergey Okhapkin" <[email-masked]>
Date: Wed, 26 Jul 2000 16:06:42 -0400

At 16:37 7/25/2000 -0400, Sergey Okhapkin wrote:
 >>  >Try to enable ntsec cygwin feature.
 >>
 >> hrmm... the documentation says it should be on default, but I guess it
 >> isn't. It doesn't even say how to enable it, I presume ntsec=yes in my
 >> .bashrc?
 >
 >export CYGWIN=$CYGWIN ntsec
 
I'm having difficulty geting ssh-agent to work -- I believe it is an ntsec
issue. I've enabled ntsec and have the ability to chown and chmod. When I
instantiate ssh-agent it creates /tmp/ssh-reagle but fails to write a PID.

By deafult I get a ssh-agent exit of "bind: permission denied error"

If I:
chmod 1777 /tmp
chmod 1777 /ssh-reagle
I get a bad modes error on /tmp/ssh-reagle

If I:
chmod 1777 /tmp
chmod 1700 /tmp/ssh-reagle
I get a ssh-agent exit of "bind: permission denied error" (nor can I cd into
ssh-reagle ...?)

_________________________________________________________
Joseph Reagle Jr.   
W3C Policy Analyst                mailto:[email-masked]
IETF/W3C XML-Signature Co-Chair   http://www.w3.org/People/Reagle/

--
Want to unsubscribe from this list?
Send a message to [email-masked]